Bug 167150 - kernel-smp-2.6.12-1.1376_FC3 causes excessive CPU usage
kernel-smp-2.6.12-1.1376_FC3 causes excessive CPU usage
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-30 21:24 EDT by Dennis Bruno
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Bruno 2005-08-30 21:24:01 EDT
Description of problem:
Upgraded to 2.6.12-1.1376_FC3smp on an HP pavilion (zv5020Us) hyperthreaded P4
(ATI IXP intgrated chipset).
System is now dead slow.  Top reports CPUs running ~ 20% - when system is
generally idle - just the usual background tasks.  No particular task is
absorbing the CPU, and no clear indication of where .  No other changes made. 
Reboot to kernel-smp-2.6.12-1.1372_FC3 resolves the issue (same load reports ~
2-3% utilization).

Version-Release number of selected component (if applicable):
kernel-smp-2.6.12-1.1376_FC3

How reproducible:
Every time

Steps to Reproduce:
1. Boot with kernel-smp-2.6.12-1.1376_FC3.
2. 
3.
  
Actual results:
  Excessive CPU utilization.  All tasks slow (screen paints, etc.)

Expected results:
Normal responsive system.

Additional info:

Can provide any additional info requested...
Comment 1 Dave Jones 2005-08-30 21:45:42 EDT
hmm, does booting with acpi=off make the problem fo away ?
Comment 2 Dennis Bruno 2005-08-31 21:06:00 EDT
Dave,

I booted with acpi=off, and it does resolve the excess cpu utilization.  However
with acpi=off, I lose the touchpad,etc.  System log is filled with the following:

Aug 31 20:47:38 localhost kernel: atiixp: codec read timeout (reg 1c)
Aug 31 20:47:38 localhost kernel: atiixp: codec read timeout (reg 0)
Comment 3 Dave Jones 2006-01-16 17:06:05 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 4 Dave Jones 2006-02-03 02:00:58 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 21:28:35 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.